Skip to content

Non-Session Access Request

APIs for elastic access without a session.

Access request for elastic tokens

Request

API to request products, features or other items that will be charged for using elastic tokens.

Security
AdministrationAccess or ClientAccess
Path
instanceIdstring, (uuid)required

The UUID of the Dynamic Monetization instance.

Headers
correlationIdstring

An optional identifier for the request. If provided, it is recommended to use a UUID format to minimise the risk of reusing the same correlationId.

This field can be used to support safe retries, typically when the request has timed out. The safe retry configuration option must be enabled first, refer to the Configuration section for more information on how to enable this.

If no correlationId is supplied, Dynamic Monetization will generate one automatically.

Bodyapplication/jsonrequired

The information required in the request payload.

requesterobject(Requester)required

Requester details.

requestedItemsArray of objects(RequestedItemRequest)required

A list of requested items.

curl -i -X POST \
  'https://siteID.flexnetoperations.com/dynamicmonetization/elastic/api/v1.1/instances/{instanceId}/access-request' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'correlationId: string' \
  -d '{
    "requester": {
      "type": "string",
      "value": "string"
    },
    "requestedItems": [
      {
        "item": "string",
        "version": "string",
        "count": 0.1,
        "variables": {},
        "metaData": {}
      }
    ]
  }'

Responses

OK The request succeeded in its entirety

Bodyapplication/json
requestedItemsArray of objects(RequestedItem)

List of requested items.

instanceConsumptionLimitIdstring

Unique identifier of the consumption limit used when the access request was fulfilled from a consumption limit on the instance.

Example:"autoTracked"
notificationsobject

Notification details for this access request when a consumption limit is configured with notificationId set to accessResponseBody and consumption crosses a configured threshold percentage of the consumption limit.

If multiple thresholds are crossed while processing the request, the response includes only the highest threshold crossed.

The same threshold can appear again in a later response if consumption drops below that threshold and subsequently crosses it again.

requesterobject(Requester)

The details of the requester making the access request.

correlationIdstring(CorrelationId)

An ID which allows correlation of the request with usage information obtained from the data warehouse.

Response
{ "requestedItems": [ {} ], "instanceConsumptionLimitId": "autoTracked", "notifications": { "instanceConsumptionLimit": {} }, "requester": { "type": "string", "value": "string" }, "correlationId": "string" }